# Visualization
TKService
WNT

# WNT_HListOfMFTSizes Class Reference

`#include <WNT_HListOfMFTSizes.hxx>`

## Public Member Functions

Standard_EXPORT | WNT_HListOfMFTSizes (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | WNT_HListOfMFTSizes (const Standard_Integer Low, const Standard_Integer Up, const Standard_ShortReal &V)
Standard_EXPORT void | Init (const Standard_ShortReal &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Standard_ShortReal &Value)
const Standard_ShortReal & | Value (const Standard_Integer Index) const
Standard_ShortReal & | ChangeValue (const Standard_Integer Index)
const WNT_ListOfMFTSizes & | Array1 () const
WNT_ListOfMFTSizes & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

WNT_ListOfMFTSizes | myArray

## Constructor & Destructor Documentation

Standard_EXPORT WNT_HListOfMFTSizes::WNT_HListOfMFTSizes | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT WNT_HListOfMFTSizes::WNT_HListOfMFTSizes | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Standard_ShortReal & | V
| ) |

## Member Function Documentation

const WNT_ListOfMFTSizes& WNT_HListOfMFTSizes::Array1 | ( |  | ) | const

WNT_ListOfMFTSizes& WNT_HListOfMFTSizes::ChangeArray1 | ( |  | ) |

Standard_ShortReal& WNT_HListOfMFTSizes::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const WNT_HListOfMFTSizes::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void WNT_HListOfMFTSizes::Init | ( | const Standard_ShortReal & | V | ) |

Standard_Integer WNT_HListOfMFTSizes::Length | ( |  | ) | const

Standard_Integer WNT_HListOfMFTSizes::Lower | ( |  | ) | const

void WNT_HListOfMFTSizes::SetValue | ( | const Standard_Integer | Index,
|  | const Standard_ShortReal & | Value
| ) |

Standard_Integer WNT_HListOfMFTSizes::Upper | ( |  | ) | const

const Standard_ShortReal& WNT_HListOfMFTSizes::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

WNT_ListOfMFTSizes WNT_HListOfMFTSizes::myArray `[private]`

The documentation for this class was generated from the following file:

- WNT_HListOfMFTSizes.hxx